# OpenLayers.Format.WPSCapabilities.v1_0_0

Read WPS Capabilities version 1.0.0.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WPSCapabilities.v1_0_0 | Read WPS Capabilities version 1.0.0.
Constructor |
OpenLayers.Format.WPSCapabilities.v1_0_0 | Create a new parser for WPS capabilities version 1.0.0.
Functions |
read | Read capabilities data from a string, and return info about the WPS.

### Constructor

### OpenLayers.Format.WPSCapabilities.v1_0_0

Create a new parser for WPS capabilities version 1.0.0.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return info about the WPS.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Information about the WPS service.

> read: function( | data | )

Read capabilities data from a string, and return info about the WPS.
Read and write XML.
Close